Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	xine-ui is a GUI for xine.
Name:      	xine-ui
Version:   	0.99.5
Release:   	2
Provides:	xine-ui
License: 	GNU/GPL
URL:		http://www.xinehq.de
Group:     	Video
Source0: 	xine-ui-%{version}.tar.gz
Source1:	xine.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	xine-lib-devel 
BuildRequires:  readline-devel >= 5.0
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXv-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libidn-devel
BuildRequires:  ncurses-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel

Requires:	xine-lib



%description
xine-ui is a GUI for xine.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-debug
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT%_datadir/xine/desktop
install -m 755 -d $RPM_BUILD_ROOT%_datadir/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.99.5-2
- rebuild against curl 7.17.7
* Fri May 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.5-1
- Version update
* Mon Oct 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.4-3
- rebuilt against xine-lib 1.0.3a
* Thu Jul 28 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.4-2
- Build fix
* Thu Jul 28 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.4-1
- Version Update
* Sat Jul 16 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.99.3-3
- rebuilt against openssl 0.9.8
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 0.99.3-2
- Recompilation against readline 5.0
* Tue Mar 08 2005 Christian Metzen <metzench@ccux-linux.de> 0.99.3-1
- Version Update to 0.99.3
* Thu May 06 2004 Christian Metzen <metzench@ccux-linux.de> 0.99.1-1
- Initial Release
